Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## madkit.MadChat
Class ConfigChan

    java.lang.Object
      madkit.MadChat.ConfigChan

All Implemented Interfaces:
  java.io.Serializable

    public class ConfigChan

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`ConfigChan(java.lang.String nomChannel, java.lang.String topic, java.lang.String password, boolean moderated, boolean istopic)`

Method Summary
`java.lang.String` | `getNomChannel()`
`java.lang.String` | `getPassword()`
`java.lang.String` | `getTopic()`
`boolean` | `isModerated()` retourne true si le channel est mod?
`boolean` | `isTopic()`
`void` | `setIsTopic(boolean bool)`
`void` | `setModerated(boolean moderated)`
`void` | `setNomChannel(java.lang.String nomChannel)`
`void` | `setPassword(java.lang.String password)`
`void` | `setTopic(java.lang.String topic)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConfigChan

    public ConfigChan(java.lang.String nomChannel,
                      java.lang.String topic,
                      java.lang.String password,
                      boolean moderated,
                      boolean istopic)

Method Detail

### isTopic

    public boolean isTopic()

### setIsTopic

    public void setIsTopic(boolean bool)

### isModerated

    public boolean isModerated()

  retourne true si le channel est mod?r? (on ne peut disctuer que si @ ou +)

### setModerated

    public void setModerated(boolean moderated)

  Parameters:
    `moderated` - The moderated to set.

### getNomChannel

    public java.lang.String getNomChannel()

  Returns:
    Returns the nomChannel.

### setNomChannel

    public void setNomChannel(java.lang.String nomChannel)

  Parameters:
    `nomChannel` - The nomChannel to set.

### getPassword

    public java.lang.String getPassword()

  Returns:
    Returns the password.

### setPassword

    public void setPassword(java.lang.String password)

  Parameters:
    `password` - The password to set.

### getTopic

    public java.lang.String getTopic()

  Returns:
    Returns the topic.

### setTopic

    public void setTopic(java.lang.String topic)

  Parameters:
    `topic` - The topic to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.